Status of user deletion request
curl --request GET \
--url https://app.traceloop.com/api/config/privacy/data-deletion \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.traceloop.com/api/config/privacy/data-deletion"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.traceloop.com/api/config/privacy/data-deletion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completed": true,
"deleted": "<string>",
"total": "<string>"
}GDPR & Privacy
Status of user deletion request
GET
/
api
/
config
/
privacy
/
data-deletion
Status of user deletion request
Get the status of your user deletion request.
Request Query Parameter
The request ID from the user deletion request.
Response
true if the process was completed, false otherwise.The number of spans that were deleted.
The number of spans that needs to be deleted in total.
Was this page helpful?
⌘I

